# directory.h File Reference

This file contains the directory handling module. More...

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

#define | GWEN_DIR_FLAGS_PUBLIC_NAME 0x00020000
#define | GWEN_DIR_FLAGS_PUBLIC_PATH 0x00010000

## Typedefs

typedef GWEN_DIRECTORYDATASTRUCT | GWEN_DIRECTORYDATA

## Functions

GWENHYWFAR_API int | GWEN_Directory_Close (GWEN_DIRECTORYDATA *d)
GWENHYWFAR_API int | GWEN_Directory_Create (const char *path)
GWENHYWFAR_API int | GWEN_Directory_CreatePublic (const char *path)
GWENHYWFAR_API void | GWEN_Directory_free (GWEN_DIRECTORYDATA *d)
GWENHYWFAR_API int | GWEN_Directory_GetHomeDirectory (char *buffer, unsigned int size)
GWENHYWFAR_API int | GWEN_Directory_GetPath (const char *path, unsigned int flags)
GWENHYWFAR_API GWEN_DIRECTORYDATA * | GWEN_Directory_new ()
GWENHYWFAR_API int | GWEN_Directory_Open (GWEN_DIRECTORYDATA *d, const char *n)
GWENHYWFAR_API int | GWEN_Directory_OsifyPath (const char *path, GWEN_BUFFER *pbuf, int transformDriveElement)
GWENHYWFAR_API int | GWEN_Directory_Read (GWEN_DIRECTORYDATA *d, char *buffer, unsigned int len)
GWENHYWFAR_API int | GWEN_Directory_Rewind (GWEN_DIRECTORYDATA *d)

## Detailed Description

This file contains the directory handling module.

## Define Documentation

#define GWEN_DIR_FLAGS_PUBLIC_NAME 0x00020000

#define GWEN_DIR_FLAGS_PUBLIC_PATH 0x00010000

## Typedef Documentation

typedef struct GWEN_DIRECTORYDATASTRUCT GWEN_DIRECTORYDATA